Subject: Re: bug#74145: 31.0.50; Default lexical-binding to t

From: Stefan Kangas <[email-masked]>
Date: Thu, 31 Oct 2024 19:05:42 -0700

Stefan Monnier <[email-masked]> writes:

>> I think this section might need more work.  It's a bit confusing to talk
>> about "default dynamic scoping" and "optional lexical scoping" now.
>> Shouldn't we talk about "normal variables with lexical scoping" and
>> "special variables with dynamic scoping" or something along those lines?
>
> Very good point, will take a closer look.

Great, thanks.

Meanwhile, here's two more things I thought of:

- I think there's some text in doc/lispref/tips.texi that will need
  updating too.

- Should we provide any advice somewhere for Emacs Lisp authors that
  want to support Emacs 30 or older?  For example, they will want to
  keep the lexical-binding:t cookie.